package eu.jonahbauer.wizard.client.libgdx.screens.eventscreens;

import com.badlogic.gdx.scenes.scene2d.Actor;
import com.badlogic.gdx.scenes.scene2d.Touchable;
import com.badlogic.gdx.scenes.scene2d.ui.Container;
import com.badlogic.gdx.scenes.scene2d.ui.Stack;
import com.badlogic.gdx.scenes.scene2d.ui.VerticalGroup;
import com.badlogic.gdx.scenes.scene2d.utils.TextureRegionDrawable;
import com.badlogic.gdx.utils.Align;
import eu.jonahbauer.wizard.client.libgdx.UiskinAtlas;
import eu.jonahbauer.wizard.client.libgdx.screens.MenuScreen;

public abstract class EventScreen {

    protected Container<Actor> background;
    protected Stack screen;
    protected VerticalGroup group;
    protected MenuScreen.Data data;

    public EventScreen(MenuScreen.Data data) {
        this.data = data;
        this.background = createBackground();
        this.screen = createStack(background);
        this.group = createGroup();
    }

    public Container<Actor> createBackground() {
        var background = new Container<>();
        background.setBackground(new TextureRegionDrawable(data.uiskinAtlas.findRegion(UiskinAtlas.WHITE)));
        background.setColor(0.0f, 0.0f, 0.0f, 0.5f);
        background.setFillParent(true);
        background.setTouchable(Touchable.enabled);
        return background;
    }

    public Stack createStack(Container<Actor> background) {
        var stack = new Stack();
        stack.setFillParent(true);
        stack.add(background);
        return stack;
    }

    public VerticalGroup createGroup() {
        return new VerticalGroup().align(Align.center);
    }

    public abstract void showEventScreen();
}
