package eu.jonahbauer.wizard.client.libgdx.screens.eventscreens;

import com.badlogic.gdx.graphics.g2d.BitmapFont;
import com.badlogic.gdx.scenes.scene2d.ui.Label;
import eu.jonahbauer.wizard.client.libgdx.screens.MenuScreen;

import static com.badlogic.gdx.scenes.scene2d.actions.Actions.*;

public class PredictionByOtherScreen extends EventScreen {

    private String name;
    private int prediction;

    public PredictionByOtherScreen(MenuScreen.Data data, String name, int prediction) {
        super(data);
        this.name = name;
        this.prediction = prediction;
        group.space(10.0f);
        BitmapFont font = data.skin.getFont("default-font");
        font.getData().setScale(1.5f);
        showEventScreen();
    }

    @Override
    public void showEventScreen() {
        var playerName = new Label(name + "'s preditction is: ", data.skin);
        group.addActor(playerName);
        var predictionLabel = new Label(prediction + "", data.skin, "enchanted");
        group.addActor(predictionLabel);
        screen.addActor(group);

        data.stage.addAction(sequence(
                run(() -> data.stage.addActor(screen)),
                delay(2.5f),
                removeActor(screen)
        ));
    }
}